ONVIF::Media::Types::VideoOutput(3)

NAME
ONVIF::Media::Types::VideoOutput

DESCRIPTION
Perl data type class for the XML Schema defined complexType VideoOutput from the namespace http://www.onvif.org/ver10/schema.

Representation of a physical video outputs.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Layout

•   Resolution

•   RefreshRate

•   AspectRatio

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::VideoOutput
   Layout =>  { # ONVIF::Media::Types::Layout
     PaneLayout =>  { # ONVIF::Media::Types::PaneLayout
       Pane => $some_value, # ReferenceToken
       Area => ,
     },
     Extension =>  { # ONVIF::Media::Types::LayoutExtension
     },
   },
   Resolution =>  { # ONVIF::Media::Types::VideoResolution
     Width =>  $some_value, # int
     Height =>  $some_value, # int
   },
   RefreshRate =>  $some_value, # float
   AspectRatio =>  $some_value, # float
   Extension =>  { # ONVIF::Media::Types::VideoOutputExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL